using java.util;

namespace be.ehealth.technicalconnector.config.impl
{
    public class ConfigurationFake : AbstractConfigurationImpl  
    {
        private Properties properties = new Properties();
        
        public override string getProperty(string key, string value)
        {
            return properties.getProperty(key, value);
        }

        public override void setProperty(string key, string value)
        {
            properties.setProperty(key, value);
        }

        public override void setConfigLocation(string obj0)
        {
            throw new System.NotImplementedException();
        }

        public override Configuration getCurrentConfig()
        {
            throw new System.NotImplementedException();
        }

        public override void invalidate()
        {
            throw new System.NotImplementedException();
        }

        public override void reload()
        {
            throw new System.NotImplementedException();
        }

        public override bool isReloading()
        {
            throw new System.NotImplementedException();
        }

        public override bool hasProperty(string obj0)
        {
            throw new System.NotImplementedException();
        }
    }
}